using System;



namespace ConsoleApp11

{

    class Program

    {

        static void Main(string[] args)

        {



            string slova = new string(Console.ReadLine());

            slova.Split();

            char c1 = slova[0];

            char c2 = slova[1];

            string[] brojevi = Console.ReadLine().Split(); 

          

            int a1 = int.Parse(brojevi[0]);

            int a2 = int.Parse(brojevi[1]);

            Console.WriteLine();



            if (Math.Abs(a1-a2)>1)

            {

                Console.WriteLine("nemoguce");

            }

            else

            {

                if(a1>a2)

                {

                    while (a2>0)

                    {

                        Console.Write(c1);

                        Console.Write(c2);

                        a2--;

                    }

                    Console.Write(c1);

                }

                else if(a1==a2)

                {

                    while (a2 > 0)

                    {

                        Console.Write(c1);

                        Console.Write(c2);

                        a2--;

                    }

                }

                else if (a2 > a1)

                {

                    while (a1 > 0)

                    {

                        Console.Write(c2);

                        Console.Write(c1);

                        a1--;

                    }

                    Console.Write(c2);

                }

            }



           

        }

    }

}